libnjb 2.2.7

Data Fields
njb_time_struct Struct Reference

`#include <libnjb.h>`

## Data Fields
int16_t | year
int16_t | month
int16_t | day
int16_t | weekday
int16_t | hours
int16_t | minutes
int16_t | seconds

## Detailed Description

Time set/read struct

Examples:
  dumptime.c, and settime.c.

## Field Documentation

## ◆ day

int16_t njb_time_struct::day

Day (0-31)

Examples:
  dumptime.c, and settime.c.

Referenced by time_pack(), time_pack3(), time_unpack(), and time_unpack3().

## ◆ hours

int16_t njb_time_struct::hours

Hours (24-hour notation)

Examples:
  dumptime.c, and settime.c.

Referenced by time_pack(), time_pack3(), time_unpack(), and time_unpack3().

## ◆ minutes

int16_t njb_time_struct::minutes

Minutes

Examples:
  dumptime.c, and settime.c.

Referenced by time_pack(), time_pack3(), time_unpack(), and time_unpack3().

## ◆ month

int16_t njb_time_struct::month

Month (0-11)

Examples:
  dumptime.c, and settime.c.

Referenced by time_pack(), time_pack3(), time_unpack(), and time_unpack3().

## ◆ seconds

int16_t njb_time_struct::seconds

Seconds

Examples:
  dumptime.c, and settime.c.

Referenced by time_pack(), time_pack3(), time_unpack(), and time_unpack3().

## ◆ weekday

int16_t njb_time_struct::weekday

Day of the week 0=sunday, 6=saturday

Examples:
  dumptime.c, and settime.c.

Referenced by time_pack(), time_pack3(), time_unpack(), and time_unpack3().

## ◆ year

int16_t njb_time_struct::year

Year (4 digits)

Examples:
  dumptime.c, and settime.c.

Referenced by time_pack(), time_pack3(), time_unpack(), and time_unpack3().

The documentation for this struct was generated from the following file:

- /tmp/libnjb-2.2.7/src/libnjb.h